Page MenuHomePhabricator

[Epic] Full support for wikibase edits in enhanced changes format ("Group changes by page in recent changes and watchlist" [usenewrc])
Closed, ResolvedPublic

Tokens
"Party Time" token, awarded by Liuxinyu970226."Mountain of Wealth" token, awarded by RandomDSdevel."Party Time" token, awarded by matej_suchanek."Love" token, awarded by IKhitron."Like" token, awarded by Strainu."Like" token, awarded by Danmichaelo."Love" token, awarded by H4stings."The World Burns" token, awarded by Thibaut120094."Love" token, awarded by Ltrlg."Love" token, awarded by Perhelion."Like" token, awarded by CennoxX."Love" token, awarded by He7d3r.
Assigned To
Authored By
aude, Feb 11 2013

Description

Implement full support for enhanced changes format in client recent changes and watchlist.

This requires a bit of refactoring and cleanup of spaghetti code in core, and then simplify / provide a more fine-grained way for extensions to hook into the core code that generates the recent changes lists in the special pages.


This should be easier now that rMW78f109bfddd0: Generalize recentChangesFlags rollup is in.

Details

Reference
bz44874

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Conny added a subscriber: Conny.Mar 2 2015, 6:01 PM
Elitre added a subscriber: Elitre.Mar 5 2015, 1:53 PM
mxn added a subscriber: mxn.Mar 12 2015, 4:53 AM
CennoxX added a subscriber: CennoxX.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2015, 8:54 PM
aude renamed this task from Full support for wikibase edits in enhanced changes format ("Group changes by page in recent changes and watchlist" [usenewrc]) to [Epic] Full support for wikibase edits in enhanced changes format ("Group changes by page in recent changes and watchlist" [usenewrc]).Aug 13 2015, 1:29 PM
aude added a project: Epic.
Ltrlg awarded a token.Oct 31 2015, 8:01 AM

Hello,

This came up at wikipedia.fr "Bistro" today. Any idea on when this may be fixed. At the moment the only option to see Wikidata changes is to display ALL changes in article whcih makes the Watchlist very busay and difficult to read.

If one uses "Display only last change"and a change in the page content happens after the Wikidata change, this is gone from the watchlist and cannot be seen from the article history.

Thanks,

SC aka N

Just noting that fixing this will be an extra precaution against potential vandalism arising from wikidata description editing in Android app for communities with app usage, but not a lot of wikidata usage.

More on that project here:
https://www.wikidata.org/wiki/Wikidata:Requests_for_comment/Editing_descriptions_from_Wikipedia_Android_app

and work tracked here:
https://phabricator.wikimedia.org/project/board/2237

Strainu added a subscriber: Strainu.
Mattflaschen-WMF updated the task description. (Show Details)

rMW78f109bfddd0: Generalize recentChangesFlags rollup lays part of the groundwork for this. It makes it easier for extensions to interact with the grouping code (which goes from individual lines to groups).

Change 355799 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Wikibase@master] [WIP] [DNM] Support Wikibase changes in enhanced recent changes on clients

https://gerrit.wikimedia.org/r/355799

Change 355799 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Support Wikibase changes in enhanced recent changes on clients

https://gerrit.wikimedia.org/r/355799

I wonder when this is going to be deployed. If it's the following week, it should be added to Tech News now, otherwise it can wait.

Johan added a subscriber: Johan.Jun 22 2017, 12:31 PM

What more exactly does this mean for editors? What is the enhanced changes format more specifically?

What more exactly does this mean for editors?

They can now choose whether they want to see Wikidata changes in enhanced watchlist/recent changes. Previously, this was disabled for all of them.

What is the enhanced changes format more specifically?

You can choose in your preferences how recent changes and watchlist will look like. The enhanced implementation groups changes to the same page; the block of the grouped changes is collapsible.

I've tried the links and those options doesn't seem to work with the New filters for Edit Review, at the moment available as a Beta feature. Is there any ticket concerning the integration? I don't find one.

They seem to work fine together for me – can you elaborate / file a bug?

I've tried the links and those options doesn't seem to work with the New filters for Edit Review, at the moment available as a Beta feature. Is there any ticket concerning the integration? I don't find one.

Niether can I see them. The patch was merged today, I do not expect the change to be available sooner than the next week (when?).

I've tried the links and those options doesn't seem to work with the New filters for Edit Review, at the moment available as a Beta feature. Is there any ticket concerning the integration? I don't find one.

Niether can I see them. The patch was merged today, I do not expect the change to be available sooner than the next week (when?).

So @matmarex examples are not supposed to work for him nor me? :)

They seem to answer @Johan's question.

IKhitron added a subscriber: IKhitron.

Wow!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Lydia_Pintscher closed this task as Resolved.Jul 3 2017, 8:53 AM
Liuxinyu970226 awarded a token.
Liuxinyu970226 removed a subscriber: Liuxinyu970226.
Headbomb removed a subscriber: Headbomb.Jan 26 2019, 9:50 PM